html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  overflow-x: hidden;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  color: lightgray;
}

.Ogcontainer {
  position: relative;
  width: 100%;
  height: 100%;
  align-items: center;
  gap: 100px;
  background-color: rgba(0, 0, 0, 0.349);
  overflow: hidden;
}

.back-vid {
  position: fixed;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: -1;
  mix-blend-mode: lighten;
}

header {
  display: flex;
  position: fixed;
  top: 0;
  right: 0;
  left: 0;
  align-items: center;
  justify-content: space-between;
  padding: 0 30px;
  height: 70px;
  background-color: rgba(255, 255, 255, 0.121);
  backdrop-filter: blur(5px);
  box-shadow: 0 0 15px #72a1dea2;
  z-index: 999;
}

nav {
  display: flex;
  align-items: center;
  gap: 3rem;
  margin-left: -5;
  padding: 15px;
  border-radius: 50px;
  background-color: rgba(11, 4, 21, 0.493);
  backdrop-filter: blur(10px);
  box-shadow: 0 0 10px #72a1dea2;
}

nav a {
  text-decoration: none;
  color: cornsilk;
  font-weight: 700;
  transition: 0.3s;
  margin: 0 10px;
}

nav a:hover {
  text-shadow: 0 0 15px gray;
}

.menu-icon {
  margin: 0 20px;
}

.logo {
  margin: 0 20px;
}


/* MAIN CONTENT */
main {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100%;
}

.row {
  display: flex;
  gap: 1rem;
  margin: 2rem;
}

.robot-3d {
  position: absolute;
  top: 0;
  right: -25%;
  scale: 0.7;
  will-change: transform, scale;
}

.content {
  max-width: 40rem;
  width: 50%;
  margin-left: 10%;
  margin: 0 10%;
}

.tag-box {
  position: relative;
  width: 18rem;
  height: 2.5rem;
  border-radius: 50px;
  background: linear-gradient(to right,
      #656565,
      #6f42a7,
      #6600c5,
      #5300a0,
      #757575,
      #656565);
  background-size: 200%;
  animation: animationGradient 2.5s linear infinite;
  box-shadow: 0 0 15px rgba(255, 255, 255, 0.3);
  margin-top: 19%;
}

@keyframes animationGradient {
  to {
    background-position: 200%;
  }
}

.tag-box .tag {
  position: absolute;
  inset: 3px 3px 3px 3px;
  background-color: black;
  border-radius: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.2s ease;
  cursor: pointer;
}

.tag-box .tag:hover {
  color: #5300a0;
}

.content h1 {
  font-size: 4rem;
  font-weight: 600;
  margin: 2rem 0;
  line-height: 1.2;
  text-shadow: 0 0 10px rgba(128, 128, 128, 0.418);
  will-change: transform, opacity;
}

.gradient {
  background: linear-gradient(to right,
      #00aaa7,
      #7e42a7,
      #6600c5,
      #6070fd,
      #2a46ff,
      #0099ff,
      #008ead);
  background-size: 200%;
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  animation: animatie-Gradient 2.5s linear infinite;
}

@keyframes animatie-Gradient {
  to {
    background-position: 200%;
  }
}

.description {
  font-size: 1rem;
  max-width: 35rem;
  color: gray;
}

.buttons {
  display: flex;
  gap: 1rem;
  margin-top: 1.9rem;
}

.contact-me {
  text-decoration: none;
  color: #5300a0;
  border: 1px solid #72a1de81;
  background-color: #2200493d;
  box-shadow: 0 0 5px #72a1de81;
  padding: 0.5rem 1rem;
  border-radius: 10px;
  font-size: 0.9rem;
  transition: background-color 0.2s ease;
}

.contact-me:hover {
  background-color: #1a1a1a;
  box-shadow: 0 0 15px #72a1de81;
}

.hire-me {
  text-decoration: none;
  background-color: rgba(211, 211, 211, 0.107);
  color: rgba(255, 255, 255, 0.502);
  padding: 0.5rem 2rem;
  border: 1px solid #72a1de81;
  box-shadow: 0 0 5px #72a1de81;
  border-radius: 10px;
  font-size: 0.9rem;
  transition: background-color 0.2s ease;
}

.hire-me:hover {
  background-color: rgba(128, 128, 128, 0.53);
  box-shadow: 0 0 15px #72a1de81;
}

.scroll-down {
  height: 50px;
  width: 30px;
  border: 2px solid lightgray;
  position: absolute;
  left: 49%;
  bottom: 3%;
  border-radius: 50px;
  box-shadow: 0 0 10px rgba(255, 255, 255, 0.612);
  margin-top: 25%;
}

.scroll-down::before,
.scroll-down::after {
  content: "";
  position: absolute;
  top: 20%;
  left: 50%;
  height: 10px;
  width: 10px;
  transform: translate(-50%, -100%) rotate(45deg);
  border: 2px solid lightgray;
  border-top: transparent;
  border-left: transparent;
  animation: scroll-down 2s ease-in-out infinite;
}

.scroll-down::before {
  top: 30%;
  animation-delay: 0.5s;
}

@keyframes scroll-down {
  0% {
    opacity: 0;
  }

  30% {
    opacity: 1;
  }

  60% {
    opacity: 1;
  }

  100% {
    top: 90%;
    opacity: 0;
  }
}

/* INFO SECTION */
.info-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 80%;
  margin: 20% auto;
}

.section-title {
  margin-top: 10%;
  font-size: 40px;
  font-weight: 700;
}

.info-cards {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr;
  grid-template-rows: auto auto;
  gap: 20px;
  width: 100%;
  height: 100%;
  margin-top: 30px;
}

.card {
  display: flex;
  align-items: flex-start;
  justify-content: center;
  position: relative;
  width: auto;
  height: 40vh;
  overflow: hidden;
  border: 1px solid rgba(128, 128, 128, 0.217);
  background-color: #0b061b4e;
  border-radius: 20px;
  transition: 0.5s;
}

.card h1 {
  position: absolute;
  margin: 0;
  bottom: 40%;
  left: 5%;
  font-size: 25px;
  z-index: 1;
  color: lightgray;
}

.card p {
  position: absolute;
  bottom: 3%;
  left: 5%;
  z-index: 1;
  max-width: 300px;
  color: gray;
  font-size: 13px;
  line-height: 20px;
}

.card img {
  width: 80%;
  height: 50%;
  object-fit: cover;
  border-radius: 2px 2px 10px 10px;
}

.card video {
  margin-top: 10%;
  width: 55%;
  height: 50%;
  object-fit: cover;
  mix-blend-mode: lighten;
}

.card button {
  position: absolute;
  bottom: 2%;
  left: 5%;
  padding: 10px 25px;
  border: 1px solid gray;
  background-color: #0f1217;
  color: gray;
  border-radius: 20px;
  box-shadow: 0 0 5px lightgray;
  cursor: pointer;
  transition: 0.3s;
}

.card button:hover {
  box-shadow: 0 0 15px lightgray;
  opacity: 0.7;
}

.card:hover {
  box-shadow: 0 0 15px rgb(211, 211, 211);
}

.card:nth-child(1) {
  height: 83vh;
  grid-row: span 2;
  grid-column: 1;
}

.card:nth-child(1) p {
  bottom: 10%;
  max-width: 650px;
}

.card:nth-child(1) h1 {
  bottom: 24%;
}

.card:nth-child(1) img {
  width: 70%;
  height: 70%;
}

.card:nth-child(2) {
  grid-row: 1;
  grid-column: 2;
}

.card:nth-child(2) h1 {
  bottom: 33%;
}

.card:nth-child(3) {
  grid-row: 1;
  grid-column: 3;
}

.card:nth-child(3) h1 {
  bottom: 25%;
}

.card:nth-child(4) {
  grid-row: 2;
  grid-column: 2 / span 2;
}

.card:nth-child(4) p {
  max-width: 650px;
}

.card:nth-child(4) h1 {
  bottom: 40%;
}

/* PROJECTS SECTION */
.my-project {
  display: flex;
  flex-direction: column;
  gap: 50px;
  align-items: center;
  position: relative;
  width: 80%;
  height: 150vh;
  margin-top: 200px;
}

#projects {
  margin: 20% auto;
}

.project-card {
  display: flex;
  width: 100%;
  align-items: center;
  justify-content: center;
  will-change: transform, opacity;
}

.project-image {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 50%;
  mix-blend-mode: exclusion;
  position: relative;
  cursor: pointer;
  transition: 0.5s;
  min-width: 400px;
}

.project-image img {
  object-fit: cover;
  width: 100%;
  box-shadow: 0 0 10px lightgray;
  border-radius: 20px;
  transition: 0.5s;
}

.project-card img:hover {
  box-shadow: 0 0 25px rgb(255, 255, 255);
}

.project-info {
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: center;
  width: 50%;
  padding-left: 10%;
}

.project-info h1 {
  width: 90%;
  font-size: 25px;
  font-weight: bold;
  text-wrap: nowrap;
  margin-top: 0;
  margin-bottom: 10px;
  max-width: 450px;
}

.project-info p {
  width: 90%;
  max-width: 400px;
  min-width: 300px;
  margin-bottom: 50px;
  margin-top: 0;
}

.project-info button {
  color: white;
  padding: 15px 35px;
  border-radius: 10px;
  border: 1px solid #72a1de81;
  background-color: #2200493d;
  box-shadow: 0 0 5px #72a1de81;
  cursor: pointer;
  transition: 0.3s;
}

.project-info button:hover {
  opacity: 0.8;
  box-shadow: 0 0 15px #72a1de81;
}

.project-vidbox .hover-sign {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 30%;
  height: 100px;
}

.more button {
  padding: 10px 25px;
  font-weight: bolder;
  border: 1px solid gray;
  background-color: #0f1217;
  color: rgb(225, 216, 216);
  border-radius: 10px;
  box-shadow: 0 0 10px rgb(58, 19, 121);
  transition: 0.3s;
}

.more button:hover {
  box-shadow: 0 0 10px rgb(134, 25, 236);
  opacity: 0.7;
  cursor: pointer;
}

/* SKILLS SECTION */
.skills-section {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  margin: auto;
}

.skills-box {
  width: 100%;
  height: 90vh;
  position: relative;
  display: flex;
  align-items: start;
  justify-content: center;
  mix-blend-mode: lighten;
  opacity: 0.7;
}

.skills-image {
  width: 40%;
  mix-blend-mode: difference;
  border: 1px solid lightblue;
  box-shadow: 0 0 10px lightgray;
  border-radius: 20px;
  margin: 4% auto;
}

.designer {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: start;
  top: 25%;
  left: 6%;
  max-width: 300px;
}

.designer h1 {
  font-size: 50px;
  display: flex;
  align-items: center;
}

.designer p {
  line-height: 23px;
}

.coder {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: start;
  top: 25%;
  right: 6%;
  max-width: 300px;
}

.coder h1 {
  font-size: 50px;
  display: flex;
  align-items: center;
}

.coder p {
  line-height: 23px;
}

/* SLIDER ANIMATION */
.slider {
  position: absolute;
  bottom: 5%;
  right: 20%;
  width: 60%;
  height: var(--height);
  overflow: hidden;
  mask-image: linear-gradient(to right, transparent, #000 10% 90%, transparent);
  mix-blend-mode: difference;
  opacity: 0.7;
}

.slider .list {
  display: flex;
  width: 100%;
  min-width: calc(var(--width) * var(--quantity));
  position: relative;
  will-change: transform;
}

.slider .list .item {
  width: var(--width);
  height: var(--height);
  position: relative;
  left: calc(var(--width) * (var(--position) - 1));
  animation: autoRun 10s linear infinite;
  transition: filter 0.5s;
  animation-delay: calc((10s / var(--quantity)) * (var(--position) -1) -10s) !important;
}

.slider .list .item img {
  width: 100%;
}

@keyframes autoRun {
  0% {
    transform: translateX(100%);
  }

  100% {
    transform: translateX(calc(-1 * var(--width) * var(--quantity)));
  }

}

.slider:hover .item {
  animation-play-state: paused !important;
  filter: grayscale(1);
}

.slider .item:hover {
  filter: grayscale(0);
}

/* CONTACT SECTION */
.contact-section {
  width: 80%;
  height: 100vh;
  display: flex;
  justify-content: center;
  gap: 10%;
  align-items: center;
  position: relative;
}

#Contact {
  margin: 7% 10% 0;

}

.contact-section h1 {
  position: absolute;
  top: 5%;
  left: 40%;
}

.social-box {
  display: flex;
  flex-direction: column;
  gap: 25px;
}

.social-box a {
  color: lightgray;
  text-decoration: none;
  font-size: 20px;
  text-wrap: nowrap;
}

.social-box i {
  color: #7668ff;
  font-size: 30px;
  margin-right: 10px;
}

.social-icons a i {
  color: white;
  margin-top: 40px;
}

.social-icons a i:hover {
  color: blueviolet;
  filter: drop-shadow(0 0 15px rgba(255, 255, 255, 0.784));
  transition: 0.3s ease-in-out;
}

.contact-box {
  margin-top: 15%;
}

.contact-box p {
  max-width: 400px;
  margin-top: 30px;
  margin-bottom: 5px;
}

.contact-box input {
  padding: 7.5px 30px;
  background-color: lightgray;
  width: 80%;
  height: 25px;
  border: none;
  outline: none;
  border-top-right-radius: 10px;
  border-bottom-right-radius: 10px;
}

.contact-box button {
  margin-top: 30px;
  /* margin-bottom: 5%; */
  color: white;
  padding: 15px 35px;
  border-radius: 10px;
  border: 1px solid #72a1de81;
  background-color: #2200493d;
  box-shadow: 0 0 5px #72a1de81;
  cursor: pointer;
  transition: 0.3s;
}

.contact-box button:hover {
  opacity: 0.8;
  box-shadow: 0 0 15px #72a1de81;
}


/* FOOTER SECTION */
.appFooter {
  width: 100%;
  background: rgba(122, 122, 212, 0.168);
  backdrop-filter: blur(8px);
  color: #e0e0e0;
  font-size: 0.85rem;
  text-align: center;
  padding: 12px 20px;
  margin: 0;
  box-sizing: border-box;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 20px;
  z-index: 999;
  box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.2);
}

.appFooter p {
  margin: 0;
  font-weight: 500;
}

.social-links a {
  color: #7668ff;
  font-size: 1rem;
  text-decoration: none;
  margin: 0 8px;
  transition: color 0.3s ease, transform 0.2s ease;
  background: transparent;
  border-radius: 50%;
}

.social-links a:hover {
  color: transparent;
  background: linear-gradient(260deg, #4b0082, #088fa3);
  -webkit-background-clip: text;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  transform: translateY(-2px);
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}

/* ------------ */

/* AUTODISPLAY h1 ANIMATION */
.autoDisplay {
  animation: autoDisplayAnimation both;
  animation-timeline: view();
}

@keyframes autoDisplayAnimation {
  from {
    filter: blur(10px);
    transform: translateY(-200px) scale(0);
  }

  50% {
    opacity: 1;
    filter: blur(0px);
    transform: translateX(0) scale(1);
  }
}

/* BLUR EFFECT img ANIMATION */
.autoBlur {
  animation: autoBlurAnimation linear both;
  animation-timeline: view();
}

@keyframes autoBlurAnimation {
  0% {
    filter: blur(40px);
  }

  35%,
  65% {
    filter: blur(0);
    opacity: 1;
  }

  100% {
    filter: blur(40px);
    opacity: 0;
  }
}

/* FADEIN-LEFT project-info ANIMATION*/

.fadein-left {
  animation: fadeInLeftAnimation both;
  animation-timeline: view();
}

@keyframes fadeInLeftAnimation {
  0% {
    opacity: 0;
    transform: translateX(-500px) scale(0.2);
    filter: blur(10px);
  }

  35%,
  65% {
    opacity: 1;
    transform: translateX(0) scale(1);
    filter: blur(0px);
  }

  100% {
    filter: blur(10px);
  }
}

/* Sidebar */

.menu-icon {
  font-size: 30px;
  cursor: pointer;
  display: none;
}

.menu-icon:hover {
  color: blueviolet;
  filter: drop-shadow(0 0 10px rgba(255, 255, 255, 0.784));

}


.sidebar {
  position: fixed;
  right: 0;
  top: 0;
  bottom: 70%;
  width: 80%;
  background-color: #000000d6;
  z-index: 999;
  box-shadow: 0 0 25px rgba(255, 255, 255, 0.479);
  backdrop-filter: blur(10px);
  opacity: 0;
  border-bottom-left-radius: 100%;
  transform: translateX(100%);
  transition: transform 0.5s ease-in-out, opacity 0.5s ease-in-out;
}

.sidestyle {
  background: rgba(15, 15, 15, 0.95);
  border-radius: 0 0 0 20px;
  box-shadow: 0 0 25px rgba(255, 255, 255, 0.479);
  padding: 10px;
  height: 100vh;
}

/* OPEN SIDEBAR */
.sidebar.active {
  opacity: 1;
  transform: translateX(0);
  bottom: 0;
  border-radius: 0;
  background: rgba(15, 15, 15, 0.95);
  /* Slightly darker background when active */
}

/* CLOSE SIDEBAR */
.close-icon {
  font-size: 30px;
  color: lightgray;
  padding-left: 10px;
  cursor: pointer;
}

.sidebar ul {
  padding-left: 20px;
}

.sidebar ul li {
  list-style: none;
  margin-bottom: 30px;
}

.sidebar ul li a {
  text-decoration: none;
  color: lightgray;
  font-size: 20px;
  font-weight: 900;
  text-shadow: 0 0 15px #4c4c4c;
}

.sidebar ul li a:hover {
  color: rgba(128, 0, 128, 0.825);
  text-shadow: 0 0 15px #72a1de81;
  transition: 0.3s ease-in-out;
}

.social-sidebar {
  padding-left: 20px;
  margin-top: 60px;
  text-wrap: nowrap;
}

.social-sidebar a {
  font-size: 35px;
  padding: 5px 5px;
  cursor: pointer;
  transition: 0.5s;
  color: lightgray;
}

.social-sidebar a:hover {
  color: blueviolet;
  filter: drop-shadow(0 0 10px rgba(255, 255, 255, 0.784));
  /* Stronger glow on hover */

}


@media (max-aspect-ratio: 16/9) {
  .back-vid {
    width: auto;
    height: 100%;
  }
}

@media (min-aspect-ratio: 16/9) {
  .back-vid {
    width: 100%;
    height: auto;
  }
}


/* RESPONSIVENESS */
@media (max-width: 1300px) {
  header {
    padding: 1rem 0.5rem;
  }

  .content {
    margin-top: 85%;
  }

  .robot-3d {
    scale: 0.8;
    top: -20%;
    right: 2%;
  }
}

/* MOBILE RESPONSIVENESS */
@media screen and (max-width: 1200px) {
  .robot-3d {
    position: absolute;
    top: 0;
    left: 25%;
    scale: 0.7;
  }

  .content {
    max-width: 35rem;
    width: 50%;
    margin: 0px 98px 0px 22px;
  }

  .skills-video-box {
    right: 0%;
  }

  .skills-video-box video {
    height: 500px;
  }

  .info-cards {
    grid-template-columns: auto;
    grid-template-rows: repeat(3, auto);
    grid-template-areas:
      "card1 card1"
      "card2 card3"
      "card4 card4";
  }

  .card:nth-child(1) {
    grid-area: card1;
    grid-column: span 2;
    height: 70vh;
  }

  .card:nth-child(1) img {
    width: 70%;
    height: 70%;
    object-position: top;
  }

  .card:nth-child(2) {
    grid-area: card2;
  }

  .card:nth-child(3) {
    grid-area: card3;
  }

  .card:nth-child(4) {
    grid-area: card4;
  }


  .info-cards .card h1 {
    font-size: 20px;
  }

  .info-cards .card:nth-child(1) h1 {
    bottom: 23%;
  }


  .card video {
    height: 60%;

    margin-top: 5%;
  }

  .my-project {
    margin-bottom: 100px;
  }

  #projects {
    margin-bottom: 150px auto;
    height: 150vh;
  }

  .skills-image {
    width: 33%
  }

  .designer {
    top: 20%
  }

  .coder {
    top: 20%
  }

  .contact-section .section-title {
    left: 30%;
  }
}

@media screen and (max-width: 700px) {
  header {
    position: fixed;
    height: 30px;
    width: 100%;
    z-index: 1000;
  }

  .sidebar {
    display: none;
  }

  .sidebar.active {
    display: block;
  }

  header nav {
    display: none;
  }

  .menu-icon {
    display: inline;
  }

  .autoBlur {
    animation: none;
  }

  main {
    flex-direction: column;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
  }

  .content {
    width: 100%;
  }

  .content h1 {
    font-size: 2.1rem;
    line-height: 1;
  }

  .description {
    max-width: 90%;
    line-height: 1.5;
  }

  .scroll-down {
    bottom: 2%;
  }

  .card {
    height: 55vh;
  }

  .info-cards {
    grid-template-columns: auto;
    grid-template-rows: repeat(3, auto);
    grid-template-areas:
      "card1 card1"
      "card2 card3"
      "card4 card4";
  }

  .card:nth-child(1) {
    grid-area: card1;
    grid-column: span 2;
    height: 120vh;
  }

  .card:nth-child(1) img {
    width: 70%;
    height: 70%;
    object-position: top;
  }

  .card:nth-child(2) {
    grid-area: card2;
  }

  .card:nth-child(3) {
    grid-area: card3;
  }

  .card:nth-child(4) {
    grid-area: card4;
  }

  .info-cards .card h1 {
    font-size: 20px;
  }

  .info-cards .card:nth-child(1) h1 {
    bottom: 25%;
  }

  .card video {
    width: 100%;
  }

  .Ogcontainer {
    height: 100%;
  }

  #projects {
    margin-bottom: 450px;
    height: 250vh;
  }

  .project-info {
    overflow: hidden;
    padding-left: 120px;
    margin-left: -50px;
  }

  .project-info h1 {
    font-size: 20px;
    max-width: 200px;
    text-wrap: wrap;
  }

  .project-info p {
    font-size: 10px;
    text-wrap: wrap;
    max-width: 200px;
    min-width: 0;
  }

  .project-info button {
    padding: 5px 10px;
  }

  .project-card {
    flex-direction: column;
    gap: 20px;
  }

  .project-info {
    width: 85%;
  }

  .project-info h1 {
    text-wrap: nowrap;
  }

  .project-info p {
    max-width: 300px;
  }

  .skills-box {
    height: 180vh;
  }

  .skills-image {
    width: 40%;
  }

  .designer {
    top: 22%;
    left: 30%;
  }

  .designer h1 {
    margin-bottom: 0;
    margin-top: 70px;
  }

  .coder {
    top: 53%;
    left: 30%;
  }

  .coder h1 {
    margin-bottom: 0;
  }

  .slider .list .item img {
    width: 60%;
  }

  .contact-section {
    height: 230vh;
    flex-direction: column;
    margin-top: 100px;
    margin-bottom: 50px;
  }

  .appFooter {
    flex-direction: column;
    gap: 8px;
    font-size: 0.8rem;
    padding: 10px;
  }

  .socialLinks a {
    font-size: 1.1rem;
  }

}


@media screen and (max-width: 480px) {

  .logo {
    scale: 0.9;
    font-size: 20px;
  }

  .main {
    scale: 0.9;
  }

  .content {
    bottom: 15%;
  }

  .robot-3d {
    display: none;
  }

  .hire-me {
    display: block;
  }

  .content h1 {
    font-size: 1.5rem;
  }

  .description {
    font-size: 0.8rem;
  }

  .scroll-down {
    display: none;
  }

  .section-title {
    font-size: 25px;
  }

  .info-cards {
    display: flex;
    flex-direction: column;
  }

  .card {
    height: 30vh;
  }

  .card h1 {
    bottom: 30%;
    font-size: 5px;
  }

  .card:nth-child(1) {
    grid-column: span 2;
    height: 80vh;
  }

  .card:nth-child(2) {
    height: 35vh;
  }

  .card:nth-child(3) {
    height: 50vh;
  }

  .card:nth-child(4) {
    height: 55vh;
  }

  .info-cards .card:nth-child(1) h1 {
    bottom: 35%;
  }

  .info-cards .card:nth-child(1) p {
    bottom: 13%;
  }

  .info-cards .card:nth-child(4) p {
    max-width: 95%;
  }

  .card:nth-child(1) img {
    width: 100%;
    height: 50%;
  }

  #projects {
    margin: 10% auto;
    height: 200%;
  }

  .project-card {
    height: 19%;
  }

  .project-image img {
    width: 80%;
  }

  .project-info p {
    margin-bottom: 15px;
  }

  .project-info {
    margin-left: -80px;
    width: 100%;
  }

  .project-info p {
    width: 100%;
  }

  .skills-image {
    width: 70%;
  }

  .skills-box {
    height: 125vh;
    margin-right: 80px;
    margin: 1% auto;
  }

  .designer {
    top: 25%;
    left: 20%;
  }

  .designer h1 {
    font-size: 30px;
  }

  .designer p {
    font-size: 15px;
    max-width: 250px;
  }

  .coder {
    top: 55%;
    left: 20%;
  }

  .coder h1 {
    font-size: 30px;
  }

  .coder p {
    font-size: 15px;
    max-width: 250px;
  }

  .slider {
    bottom: 0%;
  }

  .contact-section {
    scale: 0.9;
    height: 130vh;
  }

  .contact-section .section-title {
    top: -30px;
    left: 25%;
  }

  .appFooter {
    flex-direction: column;
    gap: 8px;
    font-size: 0.8rem;
    padding: 10px;
  }

  .socialLinks a {
    font-size: 1.1rem;
  }

}

@media screen and (max-width: 360px) {
  .robot-3d {
    display: none;
  }

  .content {
    width: 100%;
    margin: 0;
    bottom: 10%;
  }

  .hire-me {
    display: block;
  }

  .info-cards {
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    /* If you want to center the flex items *inside* .info-cards as well */
    justify-content: center;
  }

  .card:nth-child(1) {
    grid-area: card1;
    grid-column: span 2;
    height: 80vh;
  }

  .card:nth-child(2) {
    height: 35vh;
  }

  .card:nth-child(4) {
    height: 40vh;
  }

  .info-cards .card:nth-child(4) h1 {
    bottom: 50%;
  }

  .project-image img {
    width: 70%;
  }

  .project-info p {
    font-size: 12px;
    max-width: 250px;
  }

  .designer h1 {
    margin-top: 30px;
  }

  .designer p {
    max-width: 230px;
  }

  .coder p {
    max-width: 230px;
  }

  .contact-section {
    height: 100%;
    margin-top: 0;
  }

  .appFooter {
    flex-direction: column;
    gap: 8px;
    font-size: 0.8rem;
    padding: 10px;
  }

  .socialLinks a {
    font-size: 1.1rem;
  }

}

/* Optimize animations with will-change */
.content h1 {
  will-change: transform, opacity;
}

.robot-3d {
  will-change: transform, scale;
}

.project-card {
  will-change: transform, opacity;
}

.contact-section .section-title {
  will-change: transform, opacity;
}